From b741fc06b477a6128a6c0d59f1e46b8ab62e69de Mon Sep 17 00:00:00 2001
From: Bob Mottram <bob@robotics.uk.to>
Date: Sat, 4 Oct 2014 10:19:23 +0100
Subject: [PATCH] Tidying

---
 install-freedombone.sh | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

diff --git a/install-freedombone.sh b/install-freedombone.sh
index 85f8e7b71..7eb59e1c4 100755
--- a/install-freedombone.sh
+++ b/install-freedombone.sh
@@ -1086,15 +1086,8 @@ function change_debian_repos {
 
   # ensure that there is a security repo
   if ! grep -q "security" /etc/apt/sources.list; then
-      if grep -q "jessie" /etc/apt/sources.list; then
-          echo "deb http://security.debian.org/ jessie/updates main contrib" >> /etc/apt/sources.list
-          echo "#deb-src http://security.debian.org/ jessie/updates main contrib" >> /etc/apt/sources.list
-      else
-          if grep -q "wheezy" /etc/apt/sources.list; then
-              echo "deb http://security.debian.org/ wheezy/updates main contrib" >> /etc/apt/sources.list
-              echo "#deb-src http://security.debian.org/ wheezy/updates main contrib" >> /etc/apt/sources.list
-          fi
-      fi
+      echo "deb http://security.debian.org/ $DEBIAN_VERSION/updates main contrib" >> /etc/apt/sources.list
+      echo "#deb-src http://security.debian.org/ $DEBIAN_VERSION/updates main contrib" >> /etc/apt/sources.list
   fi
 
   apt-get update
@@ -1198,8 +1191,8 @@ function enable_backports {
   if grep -Fxq "enable_backports" $COMPLETION_FILE; then
       return
   fi
-  if ! grep -Fxq "deb http://$DEBIAN_REPO/debian jessie-backports main" /etc/apt/sources.list; then
-    echo "deb http://$DEBIAN_REPO/debian jessie-backports main" >> /etc/apt/sources.list
+  if ! grep -Fxq "deb http://$DEBIAN_REPO/debian $DEBIAN_VERSION-backports main" /etc/apt/sources.list; then
+    echo "deb http://$DEBIAN_REPO/debian $DEBIAN_VERSION-backports main" >> /etc/apt/sources.list
   fi
   echo 'enable_backports' >> $COMPLETION_FILE
 }
-- 
GitLab